%define name daVinci
%define version 2.1
%define release 2mdk

Summary: daVinci is a universal, generic visualization system for automatic generation of high-quality drawings of directed graphs.
Name: %{name}
Version: %{version}
Release: %{release}
URL: http://www.tzi.de/~davinci/daVinci_get_daVinci.html
Copyright: daVinci is licensed free of charge for non-profit or internal use.
Group: Graphics
Source0: daVinci_V2.1.tar.bz2
Source1: daVinci.csh
Source2: daVinci.sh
Source3: daVinci.wmconfig
BuildRoot: /var/tmp/%{name}-buildroot
Packager: Andrea Borgia <borgia@cs.unibo.it>

%description
daVinci is a universal, generic visualization system for automatic generation
of high-quality drawings of directed graphs. Graphs are frequently used in
computer applications as a general data structure to represent objects and
relationships between them. They are used to implement hierarchies,
dependency structures, networks, configurations, dataflows, and so on. In
despite of this manifold demand, techniques to visualize such graphs are not
common in today's computer applications. So frequently a user has to deal
with uncomfortable textual interfaces or poor ad-hoc drawings of graphs,
because high-quality graph layout is difficult to implement and reusable
tools for graph visualization are often hard to find. 

Don't forget to setup the DAVINCIHOME environment variable, once installed

%prep
rm -rf $RPM_BUILD_ROOT

%setup -n daVinci_V2.1 

%install
mkdir -p $RPM_BUILD_ROOT/usr/X11R6/bin
mkdir -p $RPM_BUILD_ROOT/usr/local/daVinci_V2.1
mkdir -p $RPM_BUILD_ROOT/etc/X11/wmconfig
mkdir -p $RPM_BUILD_ROOT/etc/profile.d
cp -r * $RPM_BUILD_ROOT/usr/local/daVinci_V2.1
cp $RPM_SOURCE_DIR/daVinci.sh $RPM_BUILD_ROOT/etc/profile.d/daVinci.sh
cp $RPM_SOURCE_DIR/daVinci.csh $RPM_BUILD_ROOT/etc/profile.d/daVinci.csh
cp $RPM_SOURCE_DIR/daVinci.wmconfig $RPM_BUILD_ROOT/etc/X11/wmconfig/daVinci
cd $RPM_BUILD_ROOT/usr/X11R6/bin
ln -s ../../local/daVinci_V2.1/daVinci


%clean
#rm -rf * $RPM_BUILD_ROOT


%files
%defattr (-,root,root)
%doc BUGREPORT LICENSE CHANGES README
/usr/X11R6/bin/*
%dir /usr/local/daVinci_V2.1
%config /etc/X11/wmconfig/*
%config /etc/profile.d/*

%changelog
* Tue Apr 25 2000 Lenny Cartier <lenny@mandrakesoft.com> 2.1-2mdk
- spec helper fixes
- fix group

* Wed Feb 09 2000 Lenny Cartier <lenny@mandrakesoft.com>
- mandrake build

* Sat Jul 18 1998 Andrea Borgia <borgia@cs.unibo.it>
- first rpm build
- made buildroot capable
- added profile.d scripts
